/**
 * Initialize the WASM instance. This is to support browsers without top level await.
 */
export declare function initWasm(): Promise<void>;
/**
 * Decode a Blurhash string into a Pixel Array that you can use to generate a Blurhash image.
 * @param blurhashString A valid Blurhash string.
 * @param width The width of the image you want to generate.
 * @param height The height of the image you want to generate.
 * @returns A `Uint8ClampedArray` pixel array.
 */
export declare function decode(blurhashString: string, width: number, height: number): Uint8ClampedArray;
/**
 * Check if your Blurhash string is valid.
 * @param blurhashString A Blurhash string.
 * @returns `true` if your string is valid, `false` elsewise.
 */
export declare function isValidBlurhash(blurhashString: string): boolean;
